<?php
add_action( 'init', 'custom_post_salespage' );
	function custom_post_salespage() {
		$favicon = get_bloginfo( 'template_url' ).'/images/favicon.png';
		register_post_type( 'review',
			array(
				'labels' => array(
					'name' => __( 'Pin Review Page' ),
					'singular_name' => __( 'Pin Review Page' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => $favicon,
			'rewrite' => true
			)
		);
		flush_rewrite_rules();
	}
	
	
add_action( 'add_meta_boxes', 'review__metadata' );
function review__metadata()
{
	add_meta_box( 'review', 'Options:', 'review_options', 'review', 'normal', 'high' );
}


function review_options( $post )
{
	$values = get_post_custom( $post->ID );
	$intro = isset( $values['intro'] ) ? esc_attr( $values['intro'][0] ) : '';
	$readmore = isset( $values['readmore'] ) ? esc_attr( $values['readmore'][0] ) : '';
	$mainrating = isset( $values['mainrating'] ) ? esc_attr( $values['mainrating'][0] ) : '';
	$affiliatelink = isset( $values['affiliatelink'] ) ? esc_attr( $values['affiliatelink'][0] ) : '';
	$mainimage = isset( $values['mainimage'] ) ? esc_attr( $values['mainimage'][0] ) : '';
	
	$headline = isset( $values['headline'] ) ? esc_attr( $values['headline'][0] ) : '';
	
	$visitnow = isset( $values['visitnow'] ) ? esc_attr( $values['visitnow'][0] ) : '';
	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
?>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>	
	<style type="text/css">
		#options input[type=text] {
			display: block;
			width: 100%;
			padding: 4px;
		}
		#options select {
			display: block;
			width: 100%;
			padding: 7px;
			font-size: 14px;
			height: 35px;
		}
		#options textarea {
			display: block;
			width: 100%;
			height: 100px;
			padding: 4px;
		}
		#options label {
			font-size: 14px;
			font-weight: bold;
			display: block;
			padding: 5px 0;
		}
		#options label small {
			font-size: 11px;
			font-weight: normal;
			color: #555;
		}
		.topnav {
			display: block;
			margin: 10px;
		}
			.topnav li {
				float: left;
			}
			.topnav li a {
				float: left;
				padding: 10px 20px;
				padding-left: 0;
				text-decoration: none;
				font-weight: bold;
				font-size: 14px;
			}
			.active {
				color: #ed1d1d
			}
	</style>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>	
	<script type="text/javascript">
			$(document).ready(function() {
			 	$('.tab1a').click(function() {
			 	  $('.tab2').hide(); $('.tab3').hide();
			 	  $('.tab1').fadeIn();
			 	  
			 	  $('.tab1a').addClass('active');
			 	  $('.tab2a').removeClass('active'); $('.tab3a').removeClass('active');
			 	  return false;
			 	});
			 	
			 	$('.tab2a').click(function() {
			 	  $('.tab1').hide(); $('.tab3').hide();
			 	  $('.tab2').fadeIn();
			 	  
			 	  $('.tab2a').addClass('active');
			 	  $('.tab1a').removeClass('active'); $('.tab3a').removeClass('active');
			 	  return false;
			 	});
			 	
			 	$('.tab3a').click(function() {
			 	  $('.tab2').hide(); $('.tab1').hide();
			 	  $('.tab3').fadeIn();
			 	  
			 	  $('.tab3a').addClass('active');
			 	  $('.tab2a').removeClass('active'); $('.tab1a').removeClass('active');
			 	  return false;
			 	});
			});
	</script>
		<div id="options">
			<img src="../wp-content/themes/WPPinReview/images/logo.png" style="width: 300px;">
        		
			<a name="options"></a>
			<div class="tab1">
				<p>
					<label for="">Headline Text: </label>
					<input type="text" placeholder="Write Your Main Headline" name="headline" value="<?php echo $headline; ?>" />
				</p>
				<p>
					<label for="">Intro: </label>
					<textarea  placeholder="Write Your Affiliate Review Introduction"  name="intro"><?php echo $intro; ?></textarea>
				</p>
				<p>
					<label for="">Read More Text: </label>
					<input  placeholder="Click to Read More" type="text" name="readmore" value="<?php echo $readmore; ?>" />
				</p>
				
				<p>
					<label for="">Affiliate Button Text: </label>
					<input  placeholder="Check Out The Affiliate Offer" type="text" name="visitnow" value="<?php echo $visitnow; ?>" />
				</p>
				
				<p>
					<label for="">Ratings: </label>
					<select name="mainrating">
						<option <?php if($mainrating == '1') { ?>selected<?php } ?> value="1">1 Star</option>
						<option <?php if($mainrating == '2') { ?>selected<?php } ?> value="2">2 Star</option>
						<option <?php if($mainrating == '3') { ?>selected<?php } ?> value="3">3 Star</option>
						<option <?php if($mainrating == '4') { ?>selected<?php } ?> value="4">4 Star</option>
						<option <?php if($mainrating == '5') { ?>selected<?php } ?> value="5">5 Star</option>
					</select>
				</p>
				
				<p>
					<label for="">Affiliate Link URL: </label>
					<input  placeholder="The URL to your offer, product or service page" type="text" name="affiliatelink" value="<?php echo $affiliatelink; ?>" />
				</p>
				
				<p>
					<label for="">Main Image / Pinterest Image: </label>
					<input  placeholder="URL to the image to share on image" type="text" name="mainimage" value="<?php echo $mainimage; ?>" />
				</p>
			</div>
			
			
			
			
			<br clear="all" />
			
		
		
		</div>
	
	<?php	
}

function review_save( $post_id )
{
	// Bail if we're doing an auto save
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	
	// if our nonce isn't there, or we can't verify it, bail
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	
	// if our current user can't edit this post, bail
	if( !current_user_can( 'edit_post' ) ) return;
	
	// now we can actually save the data
	$allowed = array( 
		'a' => array( // on allow a tags
			'href' => array() // and those anchords can only have href attribute
		)
	);
	
	
	if( isset( $_POST['intro'] ) )
		update_post_meta( $post_id, 'intro', esc_attr( $_POST['intro'] ) );
		
	if( isset( $_POST['readmore'] ) )
		update_post_meta( $post_id, 'readmore', esc_attr( $_POST['readmore'] ) );
		
	if( isset( $_POST['pricenumber'] ) )
		update_post_meta( $post_id, 'pricenumber', esc_attr( $_POST['pricenumber'] ) );
		
	if( isset( $_POST['mainrating'] ) )
		update_post_meta( $post_id, 'mainrating', esc_attr( $_POST['mainrating'] ) );
		
	if( isset( $_POST['affiliatelink'] ) )
		update_post_meta( $post_id, 'affiliatelink', esc_attr( $_POST['affiliatelink'] ) );
		
	if( isset( $_POST['mainimage'] ) )
		update_post_meta( $post_id, 'mainimage', esc_attr( $_POST['mainimage'] ) );
		
	if( isset( $_POST['headline'] ) )
		update_post_meta( $post_id, 'headline', esc_attr( $_POST['headline'] ) );
		
	if( isset( $_POST['visitnow'] ) )
		update_post_meta( $post_id, 'visitnow', esc_attr( $_POST['visitnow'] ) );
		
		
	
}
add_action( 'save_post', 'review_save' );
?>